Package org.apache.lucene.expressions.js

# Enum Class VariableContext.Type

java.lang.Object
java.lang.Enum<VariableContext.Type>
org.apache.lucene.expressions.js.VariableContext.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<VariableContext.Type>`, `Constable`

Enclosing class:
  `VariableContext`

public static enum VariableContext.Type extends Enum<VariableContext.Type>
Represents what a piece of a variable does.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INT_INDEX`
  Brackets containing an integer index (ie an array).
  `MEMBER`
  A member of the previous context (ie "dot" access).
  `METHOD`
  Parenthesis represent a member method to be called.
  `STR_INDEX`
  Brackets containing a string as the "index".

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VariableContext.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VariableContext.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MEMBER

    public static final VariableContext.Type MEMBER
    A member of the previous context (ie "dot" access).

  - ### STR_INDEX

    public static final VariableContext.Type STR_INDEX
    Brackets containing a string as the "index".

  - ### INT_INDEX

    public static final VariableContext.Type INT_INDEX
    Brackets containing an integer index (ie an array).

  - ### METHOD

    public static final VariableContext.Type METHOD
    Parenthesis represent a member method to be called.

- ## Method Details

  - ### values

    public static VariableContext.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VariableContext.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null